Adjust a previous transaction, deduct the requested amount from a wallet.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction | |
| reference | String | ✓ | The reference of the wallet to deduct | |
| requestAmount | Integer | ✓ | The amount to be deducted in cents | |
| narrative | String | ✓ | A description of the terminal where the card was used | |
| transactionData | String | ✓ | Extra information about the transaction in a KLV format | |
| referenceID | String | ✓ | Transaction id of the original transaction to be adjusted | |
| referenceDate | Date | ✓ | Transaction date (in UTC) of the original transaction or a repeat of the original deduct to be adjusted | |
| transactionID | String | ✓ | Transaction id number generated by the calling client. Note that the Transaction id is not a unique value and may be duplicated over time | |
| transactionDate | Date | ✓ | Transaction date (in UTC) generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>DeductAdjustment</methodName>
<params>
<param>
<value>
<string>0035015992</string>
</value>
</param>
<param>
<value>
<string>5a332769-264a-402c-851b-2d7a5ddb7bee</string>
</value>
</param>
<param>
<value>
<int>350</int>
</value>
</param>
<param>
<value>
<string>20200822T03:22:48/PAYPAL *ILUVOPTELTD 4029357733 SGP</string>
</value>
</param>
<param>
<value>
<string>002157322203000958080041200000000471002604563104108000000010421513020254133201504903702052000850025003ADJ25110Adjustment25201025304944425400255002560201</string>
</value>
</param>
<param>
<value>
<string>332698</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200822T03:22:48</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>29A493D3-A491-2E3D-30933F118D712031</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200824T02:00:00</dateTime.iso8601>
</value>
</param>
</params>
<param>
<value>
<string>E3E38EE8CB4D5B64C4CDC599B35A7BD515235CAA7470481DA8F4DB79A6BE3308</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
"<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>"